MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023303Community[OCCT] OCCT:Modeling Algorithmspublic2012-07-17 16:152012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023303: Expression always true in ShapeFix_Face.cxx
DescriptionIn lines 591

if(iter.Value().Orientation() != TopAbs_FORWARD || iter.Value().Orientation() != TopAbs_REVERSED)

and 1704

(wi.Value().Orientation() != TopAbs_FORWARD || wi.Value().Orientation() != TopAbs_REVERSED))

the conditions are always true.

'||' should probably be replaced with '&&'.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
has duplicate 0023146closedbugmaster Community Suspicious if (4) 

-  Notes
(0021015)
Pawel (developer)
2012-07-17 16:51

Corresponding git branch pushed. Please review.

For the FixSmallAreaWire method the documentation says: "Detects wires with small area (that is less than 100*Precision::PConfusion(). Removes these wires if they are internal." The bugfix conforms to this.

For 'NeedCheckSplitWire' option in the Perform method the same assumption is made although no documentation on this could be found. Hence, it would be great if someone who is familiar with ShapeFix could have a look at this bugfix.
(0021028)
abv (manager)
2012-07-18 08:14

No remarks, please test
(0021065)
mkv (tester)
2012-07-19 14:28

Dear BugMaster,
The workbenches
KAS:dev:mkv-23303-occt (GIT branch CR23303)
KAS:dev:mkv-23303-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23303-products_18072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120706-opt_06072012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

- Related Changesets
occt: master 56084216
Timestamp: 2012-07-17 12:43:45
Author: Pawel
Details ] Diff ]
0023303: Expression always true in ShapeFix_Face.cxx

The two corrected if-clause conditions were always true.

In FixSmallAreaWire where the documentation says: "Detects wires with small area (that is less than 100*Precision::PConfusion(). Removes these wires if they are internal." and the bugfix conforms to this.

For 'NeedCheckSplitWire' option in the Perform method the same assumption is made although no documentation on this could be found.
mod - src/ShapeFix/ShapeFix_Face.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-17 16:15 Pawel New Issue
2012-07-17 16:15 Pawel Assigned To => Pawel
2012-07-17 16:51 Pawel Note Added: 0021015
2012-07-17 16:51 Pawel Assigned To Pawel => bugmaster
2012-07-17 16:51 Pawel Status new => resolved
2012-07-17 16:57 Pawel Relationship added has duplicate 0023146
2012-07-18 08:13 abv Relationship added child of 0013115
2012-07-18 08:14 abv Note Added: 0021028
2012-07-18 08:14 abv Status resolved => reviewed
2012-07-18 15:31 mkv Assigned To bugmaster => mkv
2012-07-18 15:40 mkv Assigned To mkv => Pawel
2012-07-18 15:40 mkv Assigned To Pawel => mkv
2012-07-19 14:28 mkv Note Added: 0021065
2012-07-19 14:28 mkv Test case number => Not needed
2012-07-19 14:28 mkv Assigned To mkv => bugmaster
2012-07-19 14:28 mkv Status reviewed => tested
2012-07-23 12:20 Pawel Changeset attached => occt master 56084216
2012-07-23 12:22 Pawel Assigned To bugmaster => Pawel
2012-07-23 12:22 Pawel Status tested => verified
2012-07-23 12:22 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker